Saturday 006.jpg = Mr Keith and the Ocean
Saturday 008.jpg = Mr Keith and the Ocean
Saturday 009.jpg = Mr Greg in the tidal pool
Saturday 010.jpg = Where's the Corona?
Saturday 013.jpg = A 2005 girl in the shorts contender
Saturday 014.jpg = A 2005 girl in the shorts contender
Saturday 015.jpg = A 2005 girl in the shorts contender
Saturday 016.jpg = A 2005 girl in the shorts contender
Saturday 021.jpg = Mr Greg is so very tired
Saturday 022.jpg = Mr Greg is so very tired